The following keys provide actions for working with the floating object:
Esc: If you select multiple floating objects, and then press Esc, all the floating objects will be deselected.
Delete: Select multiple floating objects, then press Delete, and the selected floating objects will be deleted.
Tab: Select a floating object, then press Tab to navigate to the next floating object and select it.
Shift+Tab: Select a floating object, then press Shift+Tab to navigate to the previous floating object and select it.
Ctrl+X: Select multiple floating objects, then press Ctrl+X, and the selected floating objects will be cut to the Clipboard.
Ctrl+C: Select multiple floating objects, then press Ctrl+C, and the selected floating object will be copied to the Clipboard.
Ctrl+V: Select a cell, then press Ctrl+V to paste from the Clipboard.
Ctrl+A: Select a floating object, then press Ctrl+A to select all the floating objects.
Up: Select some floating objects, then press the Up arrow to move the selected floating objects up.
Down: Select some floating objects, then press the Down arrow to move the selected floating objects down.
Left: Select some floating objects, then press the Left arrow to move the selected floating objects to the left.
Right: Select some floating objects, then press the Right arrow to move the selected floating objects to the right.
You can also interact with the floating object using mouse actions. When you select a floating object, a position indicator and eight resize indicators are displayed. You can drag the resize indicator to resize the floating object. You can also drag the floating object and drop it in another position.
You can drag and copy and paste the floating objects by pressing the Ctrl key while dragging the floating object with the mouse. After you release the mouse the dragged floating objects will be copied and pasted.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
initSpread(spread);
};
function initSpread(spread) {
var sheet = spread.getSheet(0);
var floatingObject1 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f1", 50, 0, 100, 100);
var img1 = document.createElement("img");
img1.src = "$DEMOROOT$/spread/source/images/splogo.png";
floatingObject1.content(img1);
sheet.floatingObjects.add(floatingObject1);
var floatingObject2 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f2", 50, 120, 100, 100);
var img2 = document.createElement("img");
img2.src = "$DEMOROOT$/spread/source/css/images/Food.png";
floatingObject2.content(img2);
sheet.floatingObjects.add(floatingObject2);
var floatingObject3 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f3", 50, 240, 100, 100);
var img3 = document.createElement("img");
img3.src = "$DEMOROOT$/spread/source/css/images/Calories.png";
floatingObject3.content(img3);
sheet.floatingObjects.add(floatingObject3);
};
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" style="width: 100%; height: 100%"></div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

The following keys provide actions for working with the floating object:
Esc: If you select multiple floating objects, and then press Esc, all the floating objects will be deselected.
Delete: Select multiple floating objects, then press Delete, and the selected floating objects will be deleted.
Tab: Select a floating object, then press Tab to navigate to the next floating object and select it.
Shift+Tab: Select a floating object, then press Shift+Tab to navigate to the previous floating object and select it.
Ctrl+X: Select multiple floating objects, then press Ctrl+X, and the selected floating objects will be cut to the Clipboard.
Ctrl+C: Select multiple floating objects, then press Ctrl+C, and the selected floating object will be copied to the Clipboard.
Ctrl+V: Select a cell, then press Ctrl+V to paste from the Clipboard.
Ctrl+A: Select a floating object, then press Ctrl+A to select all the floating objects.
Up: Select some floating objects, then press the Up arrow to move the selected floating objects up.
Down: Select some floating objects, then press the Down arrow to move the selected floating objects down.
Left: Select some floating objects, then press the Left arrow to move the selected floating objects to the left.
Right: Select some floating objects, then press the Right arrow to move the selected floating objects to the right.
You can also interact with the floating object using mouse actions. When you select a floating object, a position indicator and eight resize indicators are displayed. You can drag the resize indicator to resize the floating object. You can also drag the floating object and drop it in another position.
You can drag and copy and paste the floating objects by pressing the Ctrl key while dragging the floating object with the mouse. After you release the mouse the dragged floating objects will be copied and pasted.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
export function AppFunc() {
const initSpread = (spread) => {
var sheet = spread.getSheet(0);
var floatingObject1 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f1", 50, 0, 100, 100);
var img1 = document.createElement("img");
img1.src = "$DEMOROOT$/spread/source/images/splogo.png";
floatingObject1.content(img1);
sheet.floatingObjects.add(floatingObject1);
var floatingObject2 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f2", 50, 120, 100, 100);
var img2 = document.createElement("img");
img2.src = "$DEMOROOT$/spread/source/css/images/Food.png";
floatingObject2.content(img2);
sheet.floatingObjects.add(floatingObject2);
var floatingObject3 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f3", 50, 240, 100, 100);
var img3 = document.createElement("img");
img3.src = "$DEMOROOT$/spread/source/css/images/Calories.png";
floatingObject3.content(img3);
sheet.floatingObjects.add(floatingObject3);
}
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
}
render() {
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
initSpread(spread) {
var sheet = spread.getSheet(0);
var floatingObject1 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f1", 50, 0, 100, 100);
var img1 = document.createElement("img");
img1.src = "$DEMOROOT$/spread/source/images/splogo.png";
floatingObject1.content(img1);
sheet.floatingObjects.add(floatingObject1);
var floatingObject2 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f2", 50, 120, 100, 100);
var img2 = document.createElement("img");
img2.src = "$DEMOROOT$/spread/source/css/images/Food.png";
floatingObject2.content(img2);
sheet.floatingObjects.add(floatingObject2);
var floatingObject3 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f3", 50, 240, 100, 100);
var img3 = document.createElement("img");
img3.src = "$DEMOROOT$/spread/source/css/images/Calories.png";
floatingObject3.content(img3);
sheet.floatingObjects.add(floatingObject3);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

The following keys provide actions for working with the floating object:
Esc: If you select multiple floating objects, and then press Esc, all the floating objects will be deselected.
Delete: Select multiple floating objects, then press Delete, and the selected floating objects will be deleted.
Tab: Select a floating object, then press Tab to navigate to the next floating object and select it.
Shift+Tab: Select a floating object, then press Shift+Tab to navigate to the previous floating object and select it.
Ctrl+X: Select multiple floating objects, then press Ctrl+X, and the selected floating objects will be cut to the Clipboard.
Ctrl+C: Select multiple floating objects, then press Ctrl+C, and the selected floating object will be copied to the Clipboard.
Ctrl+V: Select a cell, then press Ctrl+V to paste from the Clipboard.
Ctrl+A: Select a floating object, then press Ctrl+A to select all the floating objects.
Up: Select some floating objects, then press the Up arrow to move the selected floating objects up.
Down: Select some floating objects, then press the Down arrow to move the selected floating objects down.
Left: Select some floating objects, then press the Left arrow to move the selected floating objects to the left.
Right: Select some floating objects, then press the Right arrow to move the selected floating objects to the right.
You can also interact with the floating object using mouse actions. When you select a floating object, a position indicator and eight resize indicators are displayed. You can drag the resize indicator to resize the floating object. You can also drag the floating object and drop it in another position.
You can drag and copy and paste the floating objects by pressing the Ctrl key while dragging the floating object with the mouse. After you release the mouse the dragged floating objects will be copied and pasted.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
function initSpread (spread) {
let sheet = spread.getSheet(0);
var floatingObject1 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f1", 50, 0, 100, 100);
var img1 = document.createElement("img");
img1.src = "$DEMOROOT$/spread/source/images/splogo.png";
floatingObject1.content(img1);
sheet.floatingObjects.add(floatingObject1);
var floatingObject2 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f2", 50, 120, 100, 100);
var img2 = document.createElement("img");
img2.src = "$DEMOROOT$/spread/source/css/images/Food.png";
floatingObject2.content(img2);
sheet.floatingObjects.add(floatingObject2);
var floatingObject3 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f3", 50, 240, 100, 100);
var img3 = document.createElement("img");
img3.src = "$DEMOROOT$/spread/source/css/images/Calories.png";
floatingObject3.content(img3);
sheet.floatingObjects.add(floatingObject3);
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

The following keys provide actions for working with the floating object:
Esc: If you select multiple floating objects, and then press Esc, all the floating objects will be deselected.
Delete: Select multiple floating objects, then press Delete, and the selected floating objects will be deleted.
Tab: Select a floating object, then press Tab to navigate to the next floating object and select it.
Shift+Tab: Select a floating object, then press Shift+Tab to navigate to the previous floating object and select it.
Ctrl+X: Select multiple floating objects, then press Ctrl+X, and the selected floating objects will be cut to the Clipboard.
Ctrl+C: Select multiple floating objects, then press Ctrl+C, and the selected floating object will be copied to the Clipboard.
Ctrl+V: Select a cell, then press Ctrl+V to paste from the Clipboard.
Ctrl+A: Select a floating object, then press Ctrl+A to select all the floating objects.
Up: Select some floating objects, then press the Up arrow to move the selected floating objects up.
Down: Select some floating objects, then press the Down arrow to move the selected floating objects down.
Left: Select some floating objects, then press the Left arrow to move the selected floating objects to the left.
Right: Select some floating objects, then press the Right arrow to move the selected floating objects to the right.
You can also interact with the floating object using mouse actions. When you select a floating object, a position indicator and eight resize indicators are displayed. You can drag the resize indicator to resize the floating object. You can also drag the floating object and drop it in another position.
You can drag and copy and paste the floating objects by pressing the Ctrl key while dragging the floating object with the mouse. After you release the mouse the dragged floating objects will be copied and pasted.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
let spread = $event.spread;
let sheet = spread.getSheet(0);
var floatingObject1 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f1", 50, 0, 100, 100);
var img1 = document.createElement("img");
img1.src = "$DEMOROOT$/spread/source/images/splogo.png";
floatingObject1.content(img1);
sheet.floatingObjects.add(floatingObject1);
var floatingObject2 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f2", 50, 120, 100, 100);
var img2 = document.createElement("img");
img2.src = "$DEMOROOT$/spread/source/css/images/Food.png";
floatingObject2.content(img2);
sheet.floatingObjects.add(floatingObject2);
var floatingObject3 = new GC.Spread.Sheets.FloatingObjects.FloatingObject("f3", 50, 240, 100, 100);
var img3 = document.createElement("img");
img3.src = "$DEMOROOT$/spread/source/css/images/Calories.png";
floatingObject3.content(img3);
sheet.floatingObjects.add(floatingObject3);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);